=== debian/changelog ===
r-cran-s2 (1.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:30:37 +0100

r-cran-s2 (1.0.3-2) unstable; urgency=medium

  * change uint64 to uint64_t in unaligned_access
    Closes: #976473
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 08:26:41 +0100

r-cran-s2 (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:03:45 +0200

r-cran-s2 (1.0.2-1) unstable; urgency=medium

  * Initial release (closes: #970713)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:28:09 +0200
