=== debian/control ===
Source: r-cran-s2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-wk,
               libssl-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s2.git
Homepage: https://cran.r-project.org/package=s2
Rules-Requires-Root: no

Package: r-cran-s2
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R spherical geometry operators using the S2 geometry library
 Provides R bindings for Google's s2 library for geometric calculations
 on the sphere. High-performance constructors and exporters provide high
 compatibility with existing spatial packages, transformers construct new
 geometries from existing geometries, predicates provide a means to
 select geometries based on spatial relationships, and accessors extract
 information about geometries.
