## r-cran-s2 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: s2
 Title: Spherical Geometry Operators Using the S2 Geometry Library
-Version: 1.0.4
+Version: 1.0.7
 Authors@R: c(
      person(given = "Dewey",
            family = "Dunnington",
@@ -24,16 +24,17 @@
 License: Apache License (== 2.0)
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
+SystemRequirements: OpenSSL >= 1.0.1
 LinkingTo: Rcpp, wk
-Imports: Rcpp, wk
+Imports: Rcpp, wk (>= 0.5.0)
 Suggests: testthat, vctrs
 URL: https://r-spatial.github.io/s2/, https://github.com/r-spatial/s2,
         https://s2geometry.io/
 BugReports: https://github.com/r-spatial/s2/issues
 Depends: R (>= 3.0.0)
 NeedsCompilation: yes
-Packaged: 2021-01-04 15:35:03 UTC; edzer
+Packaged: 2021-09-22 15:42:08 UTC; edzer
 Author: Dewey Dunnington [aut] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Ege Rubak [aut],
@@ -41,4 +42,4 @@
   Google, Inc. [cph] (Original s2geometry.io source code)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2021-01-05 05:10:02 UTC
+Date/Publication: 2021-09-28 09:40:02 UTC
