=== debian/changelog ===
r-cran-s2 (1.0.7-3build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 11:12:02 +0100

r-cran-s2 (1.0.7-3) unstable; urgency=medium

  * d/p/fix-armel-ftbfs.patch
    + Extend patch to fix FTBFS on mipsel, m68k, powerpc and riscv64
  * Add myself to uploaders
  * [skip ci] d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Oct 2021 16:08:58 +0530

r-cran-s2 (1.0.7-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS on armel

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Oct 2021 16:34:37 +0530

r-cran-s2 (1.0.7-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team upload.
  * New upstream version 1.0.7
  * d/control: Update versioned B-D
  * d/copyright: Fix copyright files for absl to right location

  [ Étienne Mollier ]
  * add fix-ftbfs-on-32bit.patch from Konstantin Podsirov

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Oct 2021 21:37:06 +0200

r-cran-s2 (1.0.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 12:48:38 +0200
