=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-s2
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-wk,
+               r-cran-wk (>= 0.5.0),
                libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s2.git
 Homepage: https://cran.r-project.org/package=s2
