## r-cran-s2 1.1.0

=== debian/changelog ===
r-cran-s2 (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2022 17:46:21 +0200
