=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-s2
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s2
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s2.git
+Homepage: https://cran.r-project.org/package=s2
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-wk (>= 0.5.0),
+               r-cran-wk (>= 0.6.0),
                libssl-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s2
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s2.git
-Homepage: https://cran.r-project.org/package=s2
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-s2
 Architecture: any
