## r-cran-s2 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: s2
 Title: Spherical Geometry Operators Using the S2 Geometry Library
-Version: 1.1.2
+Version: 1.1.4
 Authors@R: c(
      person(given = "Dewey",
            family = "Dunnington",
@@ -28,14 +28,14 @@
 SystemRequirements: OpenSSL >= 1.0.1
 LinkingTo: Rcpp, wk
 Imports: Rcpp, wk (>= 0.6.0)
-Suggests: testthat (>= 3.0.0), vctrs
+Suggests: bit64, testthat (>= 3.0.0), vctrs
 URL: https://r-spatial.github.io/s2/, https://github.com/r-spatial/s2,
         https://s2geometry.io/
 BugReports: https://github.com/r-spatial/s2/issues
 Depends: R (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-01-11 14:23:27 UTC; edzer
+Packaged: 2023-05-16 15:01:01 UTC; edzer
 Author: Dewey Dunnington [aut] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Ege Rubak [aut],
@@ -43,4 +43,4 @@
   Google, Inc. [cph] (Original s2geometry.io source code)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-01-12 13:00:02 UTC
+Date/Publication: 2023-05-17 10:40:02 UTC
