=== debian/changelog ===
r-cran-s2 (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Test-Depends as per Suggests

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 21:49:50 +0200
