=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
         r-cran-testthat,
         r-cran-vctrs
Restrictions: allow-stderr
