=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
        r-cran-testthat (>= 3.0.0),
        r-cran-vctrs
Restrictions: allow-stderr
