## r-cran-s2 1.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: s2
 Title: Spherical Geometry Operators Using the S2 Geometry Library
-Version: 1.1.6
+Version: 1.1.7
 Authors@R: c(
      person(given = "Dewey",
            family = "Dunnington",
@@ -35,7 +35,7 @@
 Depends: R (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-12-19 14:38:19 UTC; edzer
+Packaged: 2024-07-17 06:46:09 UTC; edzer
 Author: Dewey Dunnington [aut] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Ege Rubak [aut],
@@ -43,4 +43,4 @@
   Google, Inc. [cph] (Original s2geometry.io source code)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-12-19 17:20:05 UTC
+Date/Publication: 2024-07-17 13:50:02 UTC
