=== debian/changelog ===
r-cran-s2 (1.1.7-2) unstable; urgency=medium

  * Team upload.
  * Warn that this may be buggy on 32-bit systems
    and skip autopkgtest on i386. (Closes: #1104160)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Apr 2025 19:16:30 +0100

r-cran-s2 (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Unfuzz debian/patches/fix-armel-ftbfs.patch

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:37:27 +0900
