## r-cran-s2 1.1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: s2
 Title: Spherical Geometry Operators Using the S2 Geometry Library
-Version: 1.1.7
+Version: 1.1.9
 Authors@R: c(
      person(given = "Dewey",
            family = "Dunnington",
@@ -19,13 +19,13 @@
 Description: Provides R bindings for Google's s2 library for geometric calculations on
     the sphere. High-performance constructors and exporters provide high compatibility
     with existing spatial packages, transformers construct new geometries from existing
-    geometries, predicates provide a means to select geometries based on spatial 
+    geometries, predicates provide a means to select geometries based on spatial
     relationships, and accessors extract information about geometries.
 License: Apache License (== 2.0)
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
-SystemRequirements: OpenSSL >= 1.0.1
+RoxygenNote: 7.3.2
+SystemRequirements: cmake, OpenSSL >= 1.0.1, Abseil >= 20230802.0
 LinkingTo: Rcpp, wk
 Imports: Rcpp, wk (>= 0.6.0)
 Suggests: bit64, testthat (>= 3.0.0), vctrs
@@ -35,12 +35,13 @@
 Depends: R (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2024-07-17 06:46:09 UTC; edzer
-Author: Dewey Dunnington [aut] (<https://orcid.org/0000-0002-9415-4582>),
-  Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
+Packaged: 2025-05-23 14:44:45 UTC; edzer
+Author: Dewey Dunnington [aut] (ORCID: <https://orcid.org/0000-0002-9415-4582>),
+  Edzer Pebesma [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-8049-7069>),
   Ege Rubak [aut],
   Jeroen Ooms [ctb] (configure script),
   Google, Inc. [cph] (Original s2geometry.io source code)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2024-07-17 13:50:02 UTC
+Date/Publication: 2025-05-23 15:50:02 UTC
