=== debian/changelog ===
r-cran-s2 (1.1.9-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.1.9. re-diff patches.
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 19:50:44 +0530
