=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-s2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-s2.git
 Homepage: https://cran.r-project.org/package=s2
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-wk (>= 0.6.0),
-               libssl-dev
+               libssl-dev,
+               libabsl-dev
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-s2
