=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/s2_([-\d.]*)\.tar\.gz
